<template>
  <div>
    <p>{{ postList.length }} bản ghi</p>
    <post-list-card v-for="post in postList" :key="post.id" :post="post"></post-list-card>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex'
import PostListCard from './PostListCard.vue'

export default {
  components: { PostListCard },
  data() {
    return {}
  },
  computed: {
    ...mapState({
      postList: state => state.posts.postList,
    })
  },
  methods: {
    ...mapActions(['getPostList']),
  },
  created() {
    this.getPostList()
  }
}
</script>
